demo/demo/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include("home.urls", namespace="home")),
    path('pinturas/', include("pinturas.urls", namespace="pinturas")),
    path('articulos/', include("articulos.urls", namespace="articulos")),
]

demo/home/urls.py
from django.urls import path
from django.contrib.auth import views as auth_views

from home import views

app_name = "home"


urlpatterns = [
    path('', views.Index.as_view(), name="index"),
    path('about/', views.About.as_view(), name="about"),
    path('login/', auth_views.LoginView.as_view(template_name="home/login.html"), name="login"),
    path('logout/', auth_views.LogoutView.as_view(template_name="home/login.html"), name="logout"),
    path('list/', views.List_Client.as_view(), name="list"),
    path('signup/', views.Signup.as_view(), name="signup"),
]

demo/home/models.py
from django.db import models
from django.contrib.auth.models import User

# Create your models here.

class Client(models.Model):
    client = models.OneToOneField(User, on_delete=models.CASCADE)
    timestamp = models.DateTimeField(auto_now_add=True)
    update = models.DateTimeField(auto_now=True)
    level = models.IntegerField()
    status = models.BooleanField(default=True)

    def __str__(self):
        return "{}".format(self.client.username)
# Create your models here.

demo/home/forms.py
from django import forms
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User
from .models import Client

class ClientForm(UserCreationForm):
    username = forms.CharField(max_length=150, widget=forms.TextInput(attrs={"class":"form-control"}))
    password1 = forms.CharField(max_length=150, widget=forms.PasswordInput(attrs={"class":"form-control"}))
    password2 = forms.CharField(max_length=150, widget=forms.PasswordInput(attrs={"class":"form-control"}))
    class Meta:
        model = User
        fields = [
            "username",
            "password1",
            "password2"
        ]


    level = forms.IntegerField(widget=forms.NumberInput(attrs={"class":"form-control"}))
    status = forms.BooleanField()
class Users_Form(UserCreationForm):

	email = forms.CharField(max_length=48)

demo/home/views.py
from django.shortcuts import render
from django.views import generic
from django.contrib.auth.mixins import LoginRequiredMixin
from django.urls import reverse_lazy

from .models import Client
from .forms import ClientForm, Users_Form
# Create your views here.
class Signup(generic.FormView):
    template_name = "home/signup.html"
    form_class = ClientForm
    success_url = reverse_lazy("home:login")

    def form_valid(self, form):
        client = form.save()
        return super(Signup, self).form_valid(form)
class Signup(generic.FormView):
	template_name = 'home/signup.html'
	form_class = ClientForm
	success_url = reverse_lazy('home:login')

	def form_valid(self, form):
		user = form.save()
		return super(Signup, self).form_valid(form)

class NewClient(generic.CreateView):
    template_name = "home/new_client.html"
    model = Client
    form_class = ClientForm
    url_success = reverse_lazy("home:list")


    def post(self, *args, **kwargs):
        p = Client()

        p.client = request.user
        p.level = request.POST["level"]
        p.status = request.POST["status"]

        p.save()

class Index(LoginRequiredMixin, generic.TemplateView):
    template_name = "home/index.html"
    login_url = '/login/'

class About(LoginRequiredMixin, generic.TemplateView):
    template_name = "home/about.html"
    login_url = "/login/"


class List_Client(LoginRequiredMixin, generic.ListView):
    template_name = "home/list.html"
    model = Client

demo/templates/home/about.html
{% extends 'base.html' %}

{% block title %}About{% endblock %}

{% block content %}
<h1>I'M About XD</h1>
{% endblock %}

demo/templates/home/index.html
{% extends 'base.html' %}

{% block title %}Index{% endblock %}

{% block page_content %}
  <h1>Hola Profesor  </h1>
  <h2>Aqui se encuentra la parte 1 del parcial 2</h2>
  <h3>espero encuentre todo bien </h3>
{% endblock page_content %}

demo/templates/home/list.html
{% extends "base.html" %}

{% block title %}Categories List{% endblock title %}

{% block page_content %}


<!-- Dropdown Card Example -->
<div class="card shadow mb-4">
  <!-- Card Header - Dropdown -->
  <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
    <h6 class="m-0 font-weight-bold text-primary">Categories</h6>
    <div class="dropdown no-arrow">
      <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
      </a>
      <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
        <div class="dropdown-header">Actions:</div>
        <a class="dropdown-item" href=""><i class="far fa-calendar-plus"></i>NewCategory</a>
        <a class="dropdown-item" href="#">Another action</a>
        <div class="dropdown-divider"></div>
        <a class="dropdown-item" href="#">Something else here</a>
      </div>
    </div>
  </div>
  <!-- Card Body -->
  <div class="card-body">
    {% if not object_list %}
      <h3> Not Client Yet!! </h3>
    {% else %}
      <table class="table table-striped table-hover">
        <thead>
          <th> Id </th>
          <th> Client Name </th>
          <th> Status </th>
          <th> TimeStamp </th>
          <th> Update </th>
          <th class="all"> Actions </th>
        </thead>
        <tbody>
          {% for item in object_list %}
             <tr>
               <th>{{ item.id }}</th>
               <th>{{ item.client.username }}</th>
               <th>{{ item.status|yesno:"Active, Inactive" }}</th>
               <th>{{ item.timestamp|date:"d/m/Y H:i:s" }}</th>
               <th>{{ item.update|date:"d/m/Y H:i:s" }}</th>
               <th>
                 <a href="" class="btn btn-warning btn-circle" role="button"><i class="far fa-edit"></i></a>
                 <a href="" class="btn btn-danger btn-circle" role="button"><i class="far fa-trash-alt"></i></a>
               </th>
             </tr>
          {% endfor %}
        </tbody>
      </table>
    {% endif %}
  </div>
</div>



{% endblock page_content %}

{% block js_scripts %}
  <script type="text/javascript">
    // Call the DataTable JQuery plugin//
    $(document).ready(function(){
      $('.table').DataTable();
    });
  </script>>
{% endblock js_scripts %}

demo/templates/home/login.html
{% extends "base.html" %}

{% block title %} Index {% endblock title %}


{% block page_content %}


<div class="container">

    <!-- Outer Row -->
    <div class="row justify-content-center">

      <div class="col-xl-10 col-lg-12 col-md-9">

        <div class="card o-hidden border-0 shadow-lg my-5">
          <div class="card-body p-0">
            <!-- Nested Row within Card Body -->
            <div class="row">
              <div class="col-lg-6 d-none d-lg-block bg-login-image"></div>
              <div class="col-lg-6">
                <div class="p-5">
                  <div class="text-center">
                    <h1 class="h4 text-gray-900 mb-4">Welcome Back!</h1>
                    <small class="text-danger">
                      {% if form.errors %}
                        error
                      {% endif %}
                    </small>
                  </div>
                  <form class="user" method="POST">
                    {% csrf_token %}
                    <div class="form-group">
                      <input type="text" class="form-control form-control-user" name="username" id="id_username" aria-describedby="emailHelp" placeholder="Enter Username...">
                    </div>
                    <div class="form-group">
                      <input type="password" class="form-control form-control-user" name="password" id="id_password" placeholder="Password">
                    </div>
                    <div class="form-group">
                      <div class="custom-control custom-checkbox small">
                        <input type="checkbox" class="custom-control-input" id="customCheck">
                        <label class="custom-control-label" for="customCheck">Remember Me</label>
                      </div>
                    </div>
                    <button type="submit" class="btn btn-primary btn-user btn-block">Login</button>
                    <hr>
                    <a href="index.html" class="btn btn-google btn-user btn-block">
                      <i class="fab fa-google fa-fw"></i> Login with Google
                    </a>
                    <a href="index.html" class="btn btn-facebook btn-user btn-block">
                      <i class="fab fa-facebook-f fa-fw"></i> Login with Facebook
                    </a>
                  </form>
                  <hr>
                  <div class="text-center">
                    <a class="small" href="forgot-password.html">Forgot Password?</a>
                  </div>
                  <div class="text-center">
                    <a class="small" href="{% url 'home:signup' %}">Create an Account!</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

      </div>

    </div>

  </div>
{% endblock page_content %}

demo/templates/home/new_client.html
{% extends "base.html" %}

{% block title %} NewClient {% endblock title %}


{% block page_content %}
  <form method="post" class="form-inline" action="">
    {% csrf_token %}
    {{ form }}
    <button type="submit" class="btn btn-success btn-circle btn-lg" name="button">Save</button>
    <a href="{% url 'home:list' %} " class="btn btn-circle btn-warning btn-lg">Back</a>
  </form>
{% endblock page_content %}

demo/templates/home/signup.html
{% extends "base.html" %}

{% block title %}New Client{% endblock title%}

{% block page_content %}
  <form class="form-group" action="" method="post">
    {% csrf_token %}
    {{ form }}

    <button class="form-control btn  btn-outline-primary" type="submit" name="save">Save</button>
    <button class="form-control btn  btn-outline-warning" type="reset" name="cancel">Cancel</button>
  </form>
{% endblock page_content%}